program regcre;
{$nomain}
{$nowalkback}

{
File		: DE:[22,60]regcre.pas
Author		: Peter Stadick
Origin date	: DEC 16,88
Edit History	:

       Last Edit: 17-DEC-1988 13:01:33 

Description:
	The routine fills in the Region Discriptor Block. The user
must set aside an 8 word area in global variables for the RDB.
For example:
TYPE
  RDB_type	: array [1..8] of integer;

VAR
i	: integer;	 insures word alignment
RDB     : RDB_type;	 Space for RDB 

}

%include lb:[22,320]general3.typ;
%include lb:[22,320]catr56.ext;
%include de:[22,320]region.typ;
%include de:[22,320]crrgpa.ext;

procedure regcre(VAR RDB  : RDB_type;
		     size : integer;
		     name : ch6;
		     par  : ch6;
		     sts  : integer;
		     pro  : integer); external;

procedure regcre;

var
  name56	: rad56;
  par56		: rad56;

begin
  catr56(name,name56);
  catr56(par,par56);
  RDB[2] := size;
  RDB[3] := name56[1];
  RDB[4] := name56[2];
  RDB[5] := par56[1];
  RDB[6] := par56[2];
  RDB[7] := sts;
  RDB[8] := pro;  

  crrgpa(RDB);  
end;
